Bug 706218 - fedpkg fails to parse my gitconfig
Summary: fedpkg fails to parse my gitconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: GitPython
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-19 19:04 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
4 users (show)

Fixed In Version: GitPython-0.2.0-0.6.beta1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-11 04:20:22 UTC


Attachments (Terms of Use)

Description Dave Jones 2011-05-19 19:04:16 UTC
fedpkg refuses to build anything for me because of something in my .gitconfig.
(git accepts it just fine).

$ fedpkg build
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1494, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 334, in build
    url, chain, arches, sets)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 1295, in build
    _check_newstyle_branches(repo=self.repo)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 92, in _check_newstyle_branches
    re.search(fedpkg, remote.url)]
  File "/usr/lib/python2.7/site-packages/git/remote.py", line 442, in __getattr__
    return self._config_reader.get(attr)
  File "/usr/lib/python2.7/site-packages/git/remote.py", line 32, in <lambda>
    return lambda *args, **kwargs: self._call_config(attr, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/git/remote.py", line 38, in _call_config
    return getattr(self._config, method)(self._section_name, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/git/config.py", line 53, in assure_data_present
    self.read()
  File "/usr/lib/python2.7/site-packages/git/config.py", line 281, in read
    self._read(fp, fp.name)
  File "/usr/lib/python2.7/site-packages/git/config.py", line 246, in _read
    raise e
ConfigParser.ParsingError: File contains parsing errors: /home/davej/.gitconfig
	[line 10]: '  [color "branch"]\n'
	[line 14]: '  [color "diff"]\n'
	[line 20]: '  [color "status"]\n'




The section of my gitconfig it complains about is this ..

[color]
    ui = auto
  [color "branch"]
    current = yellow reverse
    local = yellow
    remote = green
  [color "diff"]
    meta = yellow bold
    frag = magenta bold
    old = red bold
    new = green bold
    whitespace = red reverse
  [color "status"]
    added = yellow
    changed = green

Comment 1 Jesse Keating 2011-05-20 00:46:08 UTC
Ugh, this is a GitPython bug, it doesn't like some of these .gitconfig files.  I need to fix that right quick.

Comment 2 Jesse Keating 2011-05-28 02:36:47 UTC
https://github.com/gitpython-developers/GitPython/pull/21  This pull request should fix it.  I'll build a package with this patch soon.

Comment 3 Fedora Update System 2011-05-28 16:07:24 UTC
GitPython-0.2.0-0.6.beta1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/GitPython-0.2.0-0.6.beta1.fc15

Comment 4 Fedora Update System 2011-05-28 16:08:26 UTC
GitPython-0.2.0-0.6.beta1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/GitPython-0.2.0-0.6.beta1.fc14

Comment 5 Fedora Update System 2011-05-28 16:09:51 UTC
GitPython-0.2.0-0.6.beta1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GitPython-0.2.0-0.6.beta1.el6

Comment 6 Fedora Update System 2011-05-28 21:31:57 UTC
Package GitPython-0.2.0-0.6.beta1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing GitPython-0.2.0-0.6.beta1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/GitPython-0.2.0-0.6.beta1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-06-11 04:20:12 UTC
GitPython-0.2.0-0.6.beta1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-06-15 05:32:54 UTC
GitPython-0.2.0-0.6.beta1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-16 00:35:06 UTC
GitPython-0.2.0-0.6.beta1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.